drop database `mytweeter`;
create database  `mytweeter`;
use `mytweeter`;
CREATE TABLE users(       
       nick VARCHAR (15) NOT NULL,
       name VARCHAR (50),
       description TEXT,
       PRIMARY KEY (nick)
);
CREATE UNIQUE INDEX index_nick ON users (nick);

CREATE TABLE follow(       
       nick VARCHAR (15) NOT NULL,
       follows VARCHAR (15) NOT NULL,
       FOREIGN KEY (nick) REFERENCES users(nick),
       FOREIGN KEY (follows) REFERENCES users(nick)
);
CREATE INDEX index_nick ON follow (nick);
CREATE INDEX index_follows ON follow (follows);

CREATE TABLE tweets(
       tweet_id INT UNSIGNED NOT NULL AUTO_INCREMENT,       
       nick VARCHAR (15) NOT NULL,
	   tweet VARCHAR (175) NOT NULL,
       FOREIGN KEY (nick) REFERENCES users(nick),
       PRIMARY KEY (tweet_id)
);
CREATE INDEX index_nick ON tweets (nick);
